package com.tsi.api.server.exception;

import com.tsi.api.server.error.TscSsipApiErrorCode;

public class AbstractTscSsipApiException extends RuntimeException {

    private TscSsipApiErrorCode tscSsipApiErrorCode;

    public AbstractTscSsipApiException(TscSsipApiErrorCode tscSsipApiErrorCode) {
        this.tscSsipApiErrorCode = tscSsipApiErrorCode;
    }

    public TscSsipApiErrorCode getErrorCode() {
        return this.tscSsipApiErrorCode;
    }
}
